framework:
    workflows:
        order:
            type: 'state_machine'
            marking_store:
                type: 'method'
                property: 'state'
            supports:
                - App\Entity\Order
            initial_marking: created
            places:
                created:
                waiting_informations:
                    metadata:
                        common_name: informations
                        twig:
                            show: true
                            icon: fa fa-user
                informations:
                waiting_payment:
                    metadata:
                        common_name: payement
                        twig:
                            show: true
                            icon: fas fa-euro-sign
                payed:
                waiting_email:
                emailed:                 
                confirmed:
                    metadata:
                        common_name: confirmation
                        twig:
                            show: true
                            icon: fa fa-check
                waiting_delivery:
                in_delivering:
                delivered:
                canceled:
            transitions:
                go_to_informations:
                    guard: "is_granted('ROLE_USER')"
                    from: [created, informations, waiting_payment]
                    to: waiting_informations
                validate_informations:
                    guard: "is_granted('ROLE_USER')"
                    from: waiting_informations
                    to: informations
                go_to_payment:
                    guard: "is_granted('ROLE_USER')"
                    from: informations
                    to: waiting_payment
                validate_payment:
                    guard: "is_granted('ROLE_USER')"
                    from: waiting_payment
                    to: payed
                go_to_email:
                    guard: "is_granted('ROLE_USER')"
                    from: payed
                    to: waiting_email
                validate_email:
                    guard: "is_granted('ROLE_USER')"
                    from: waiting_email
                    to: emailed
                go_to_confirmation:
                    guard: "is_granted('ROLE_USER')"
                    from: emailed
                    to: confirmed
                go_to_delivery:
                    guard: "is_granted('ROLE_USER')"
                    from: confirmed
                    to: waiting_delivery
                accept_delivery:
                    from: waiting_delivery
                    to: in_delivering
                delivery_done:
                    from: in_delivering
                    to: delivered
                cancel_order:
                    from: [created, waiting_informations, waiting_payment]
                    to: canceled